:root {
    --main-bg-color: white;
    --main-text-color: black;
    --border-color: #f1f1f1;
    --sub-color: rgba(240, 240, 240, 1);
    --highlight-color: rgba(255, 255, 0, 1);
    --button-text-color: #021724;
    --button-bg-color: #f1f1f1;

}

[data-theme='dark'] {
    --main-bg-color: #121212;
    --main-text-color: white;
    --border-color: #333;
    --sub-color: rgba(50, 50, 50, 1);
    --highlight-color: rgba(200, 200, 0, 1);
    --button-text-color: white;
    --button-bg-color: rgba(0, 150, 130, 1);


}

.meeting-message {
    margin-bottom: 20px;
}

.meeting-message p {
    background-color: #f2f2f2;
    border-radius: 10px;
    display: inline-block;
    padding: 10px;
    margin-top: 0px;
}

.meeting-message p.clear {
    clear: both;
}

.meeting-message.user {
    text-align: right;
}


.sender {
    font-size: 10px;
    font-weight: bold;
    background-color: rgba(70, 100, 170, 0.8);
    color: white;
    border-radius: 10px;
    margin-bottom: 0px;
    padding-left: 10px;
    padding-right: 10px;
    clear: both;
}


.sender.user {
    float: right;
}

.sender.bot {
    float: left;
}



/* Chat Window styles */
.chat-window {
    background-color: #f2f2f2;
    border-radius: 10px;
    height: 400px;
    position: fixed;
    right: 20px;
    bottom: 20px;
    width: 400px;
    z-index: 1000;
}

.chat-header {
    background-color: rgba(70, 100, 170, 0.8);
    height: 50px;
    border-radius: 10px 10px 0px 0px;
    color: white;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 10px;
}

.chat-header h2 {
    font-size: 18px;
    margin: 0;
}



.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-button {
    border: none;
    margin-right: 40px;
    color: #ffffff;
    border-radius: 5px;
    background-color: rgba(70, 100, 170, 0.8);
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: rgba(70, 100, 170, 0.8);
    color: white;
    z-index: 1;
    padding: 5px;
    border-radius: 5px;
}

.dropdown-content button {
    background-color: rgba(70, 100, 170, 0.8);
    border: 1px solid #cccccc;
    border-radius: 3px;
    padding: 5px;
    margin: 5px 0;
    width: 100%;
    text-align: center;
    cursor: pointer;
}

.dropdown-content button:hover {
    background-color: #f0f0f0;
}

.dropdown:hover .dropdown-content {
    display: block;
}

button {
    /* padding: 10px; */
    cursor: pointer;
    color: white;
    padding: 5px 10px;
    font-size: 12px;
    /* background-color: rgba(70, 100, 170, 0.8); */
    background: none;
    border: none;
    border-radius: 5px;
    /* transition: background-color 0.3s ease; */
    /* position: absolute; */
}



/* Chat Messages */
.chat-messages {
    height: 300px;
    overflow-y: scroll;
    padding: 20px;
    color: var(--main-text-color)
}

.chat-message {
    margin-bottom: 20px;
    color: var(--main-text-color)
}

.chat-message.user {
    text-align: right;
    color: var(--main-text-color)
}

.chat-message p {
    background-color: var(--main-bg-color);
    border-radius: 10px;
    display: inline-block;
    padding: 10px;
}

/* Input Section */
.chat-input {
    bottom: 0;
    left: 0;
    padding: 20px;
    position: absolute;
    right: 0;
}

.chat-input input[type="text"] {
    background-color: var(--main-bg-color);
    color: var(--main-text-color);
    border: none;
    border-radius: 10px;
    padding: 10px;
    width: 100%;
}

.chat-input button {
    background-color: rgba(70, 100, 170, 0.8);
    border: none;
    border-radius: 10px;
    color: white;
    padding: 10px 20px;
    position: absolute;
    right: 20px;
    bottom: 20px;
}

/* Close Button */
.close-chat-button {
    cursor: pointer;
    color: white;
    padding: 5px 10px;
    font-size: 20px;
    background-color: rgba(70, 100, 170, 0.8);
    border: none;
    border-radius: 5px;
    transition: background-color 0.3s ease;
    position: absolute;
    right: 10px;
}

.open-teacher-icon {
    background-color: rgba(70, 100, 170, 0.8);
    border-radius: 50%;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50px;
    width: 50px;
    position: fixed;
    bottom: 90px;
    right: 20px;
    font-size: 30px;
    cursor: pointer;
}
.open-teacher-icon a {
  color: white;
  text-decoration: none; /* Optional */
}


.chat-icon {
    width: 30px;
    height: 30px;
    cursor: pointer;
    border: 10px solid black;
}

.chat-input input[type="text"]::placeholder {
    font-style: italic;
}



/* Open Chat Icon */
.open-chat-icon {
    background-color: rgba(70, 100, 170, 0.8);
    border-radius: 50%;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50px;
    width: 50px;
    position: fixed;
    bottom: 20px;
    right: 20px;
    font-size: 30px;
    cursor: pointer;
}
